package com.fxy.putIn.bean;

import android.os.Parcel;
import android.os.Parcelable;


import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class ResultDataBean implements Parcelable {

    private String tag = ""; //
    private int is_change = 0; //
    private int is_confirm  = 0; //
    private int total_pallet_qty = 0; //
    private int has_scan_qty = 0; //
    private int no_scan_qty = 0; //

    /** list **/
    private String list ;


    protected ResultDataBean(Parcel in) {
        tag = in.readString();
        is_change = in.readInt();
        is_confirm = in.readInt();
        total_pallet_qty = in.readInt();
        has_scan_qty = in.readInt();
        no_scan_qty = in.readInt();

        list = in.readString();

    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(tag);
        dest.writeInt(is_change);
        dest.writeInt(is_confirm);
        dest.writeInt(total_pallet_qty);
        dest.writeInt(has_scan_qty);
        dest.writeInt(no_scan_qty);
        /** list 写入 **/
        dest.writeString(list);

    }

    public ResultDataBean() {

    }
    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<ResultDataBean> CREATOR = new Creator<ResultDataBean>() {
        @Override
        public ResultDataBean createFromParcel(Parcel in) {
            return new ResultDataBean(in);
        }

        @Override
        public ResultDataBean[] newArray(int size) {
            return new ResultDataBean[size];
        }
    };

    public String getTag() {return tag; }
    public int getIsChange() {return is_change; }
    public int getIsConfirm() {return is_confirm; }

    public int getTotalPalletQty() {return total_pallet_qty; }
    public int getHasScanQty() {return has_scan_qty; }
    public int getNoScanQty() {return no_scan_qty; }
    public String getList() {return list; }

}
